Bug 126330 - Extraneous lines rendering select SVGs in LibreOffice
Summary: Extraneous lines rendering select SVGs in LibreOffice
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: ARM All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:7.5.0 target:7.4.0.2 target:7.3.6
Keywords:
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2019-07-10 16:29 UTC by Alyssa Rosenzweig
Modified: 2022-07-19 09:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
odp displaying issue (29.32 KB, application/vnd.oasis.opendocument.presentation)
2019-07-10 16:31 UTC, Alyssa Rosenzweig
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alyssa Rosenzweig 2019-07-10 16:29:58 UTC
Description:
Test case: Not all svgs display this behaviour; an example "problem" svg is https://upload.wikimedia.org/wikipedia/commons/c/cc/Noto_Emoji_Oreo_1f914.svg

Add this svg to a LibreOffice document (bug seen in both Writer and Impress) via Insert->Image. Extraneous blue lines appear in the top left corner of the image; no such lines are visible when viewing the SVG outside of LO; it should be transparent in that area. The lines are visible both in the editor and in an exported PDF. Example: https://people.collabora.com/~alyssa/Bluelines.odp (export https://people.collabora.com/~alyssa/Bluelines.pdf)

Tested on aarch64 machine (armv8); build from Debian buster.

Steps to Reproduce:
Open the linked odp.

Actual Results:
Incorrect SVG rendering

Expected Results:
Correct SVG rendering


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 6.1.5.2
Build ID: 1:6.1.5-3
CPU threads: 6; OS: Linux 5.1; UI render: default; VCL: gtk3; 
Locale: es-MX (es_MX.UTF-8); Calc: group threaded
Comment 1 Alyssa Rosenzweig 2019-07-10 16:31:34 UTC
Created attachment 152710 [details]
odp displaying issue
Comment 2 Aron Budea 2019-07-10 21:09:18 UTC
Confirmed using LO 6.4.0.0.alpha0+ (9b7729c6e224dfbe89e309aab8e8fd392fc234ad), 4.2.0.4 / Ubuntu 18.04.
The imported SVG looks even worse before that.
Comment 3 V Stuart Foote 2019-07-11 13:16:15 UTC
Also present Windows builds.
Comment 4 QA Administrators 2021-07-11 03:39:58 UTC Comment hidden (noise)
Comment 5 Xisco Faulí 2022-07-18 14:52:45 UTC
Fix in https://gerrit.libreoffice.org/c/core/+/137201
Comment 6 Commit Notification 2022-07-18 19:59:47 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/67c422585db43e30f0c9e4c9753fcd14f87a277f

tdf#126330: use correct type for symbol node

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-07-19 05:00:31 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/4b4773183e92be941b24fffdfd16a554c6a35439

tdf#126330: use correct type for symbol node

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-07-19 09:43:38 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/0c904da364e033d2c228ce835a72a943fa15d72f

tdf#126330: use correct type for symbol node

It will be available in 7.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.